package de.intevation.gnv.artifactdatabase.objects.map;

import java.util.Collection;

/**
 * The default implementation of <code>MapService</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class DefaultMapService implements MapService {

    private String id = null;

    private Collection<Layer> layer = null;

    private String type = null;

    private String url = null;

    /**
     * Constructor
     */
    public DefaultMapService(String id, Collection<Layer> layer,
                             String type, String url) {
        super();
        this.id = id;
        this.layer = layer;
        this.type = type;
        this.url = url;
    }


    public String getID() {
        return this.id;
    }


    public Collection<Layer> getLayer() {
        return this.layer;
    }


    public String getType() {
        return this.type;
    }


    public String getURL() {
        return this.url;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :